:root {
    --blue: #0099ff;
    --black: #151515;
    --grey: #b5a99d;
    --muted: #818283;
    --light: #f5f3ef;
    --yellow: #ffffe0;
    --red: #f94c76;
}

* {
    box-sizing: border-box;
    font-family: 'Heebo', sans-serif;
}

body {
    margin: 0;
    color: #444;
}

body.modal-opened {
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
}

a {
    text-decoration: none;
    color: var(--blue);
}

hr {
  width: 100%;
  border: none;
  border-top: 2px dashed #eee;
}

.mt-auto {
    margin-top: auto !important;
}
.mt-1 {
  margin-top: 10px !important;
}
.mt-2 {
  margin-top: 20px !important;
}

.mb-1 {
  margin-bottom: 10px !important;
}
.mb-2 {
  margin-bottom: 20px !important;
}

.mx-auto {
  margin-left: auto !important;
  margin-right: auto !important;
}

.d-block {
  display: block !important;
}
.d-none {
  display: none !important;
}

.container {
    width: 100%;
    max-width: 1250px;
    margin: 0 auto;
    padding: 0 20px;
}

.container.reader {
  max-width: 900px;
}

.container aside {
    width: 300px;
    flex-shrink: 0;
    margin-right: 20px;
}

.container aside.right {
    margin-right: 0;
    margin-left: 20px;
}

.btn {
  padding: 5px 20px;
  padding-top: 7px;
  border: none;
  background: var(--blue);
  color: white;
  font-weight: bold;
  text-transform: uppercase;
  transition: .3s;
  cursor: pointer;
  border-radius: 3px;
  font-size: .9rem;
  text-align: center;
  display: inline-flex;
  justify-content: center;
}

.btn.danger {
  background: var(--red);
}

.btn.disabled {
  pointer-events: none;
  background: var(--light);
  color: #ccc;
}

.btn.lined {
  background: transparent;
  border: 2px solid var(--blue);
  color: var(--blue);
}

.text-btn {
  background: transparent;
  padding: 0;
  border: none;
  font-size: inherit;
  cursor: pointer;
}

.btn i {
  font-size: 1.2rem;
  padding-right: 5px;
}

.blue {
  color: var(--blue);
}
.grey {
  color: var(--grey);
}

.pointer {
  cursor: pointer;
}

.small {
  font-size: .8rem;
}

.text-center {
    text-align: center;
}
.text-right {
    text-align: right;
}

.d-flex {
    display: flex !important;
}

.flex-list {
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.flex-list.wrap {
    flex-wrap: wrap;
}

.unstyled-list {
    list-style-type: none;
    margin: 0;
    padding: 0;
}


.fade {
    visibility: hidden;
    opacity: 0;
}
.fade.show {
    visibility: visible;
    opacity: 1;
}

.slide {
    margin-top: -100px;
    visibility: hidden;
    opacity: 0;
    position: absolute;
}
.slide.down {
    margin-top: 0;
    visibility: visible;
    opacity: 1;
    position: static;
}

/* Remove animations for safari */
@supports not (-webkit-backdrop-filter: blur(1px)) {
    .fade {
        -webkit-transition: .15s;
        transition: .15s;
        /* visibility: hidden; */
    }
    .slide {
        -webkit-transition: .15s;
        transition: .15s;
        /* visibility: hidden; */
    }
}





.modal img {
    max-width: 100%;
}

.post-preview .brief {
    font-style: italic;
    margin: 0;
    font-size: .9rem;
}

.tags a {
    font-size: .8rem;
    margin-right: 5px;
    color: var(--grey);
}




section {
    margin-bottom: 30px;
}

.section-title {
    margin-bottom: 20px;
    text-transform: uppercase;
    position: relative;
}

.section-title::before {
    content: '';
    display: inline-block;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 10px 0 10px 15px;
    border-color: transparent transparent transparent #0099ff;
    margin-right: 5px;
    transform: translateY(3px);
}




.show-more {
    cursor: pointer;
    padding: 10px 20px;
    font-weight: bold;
    text-transform: uppercase;
    display: block;
    width: 100%;
    background: var(--blue);
    color: white;
    border: none;
    border-radius: 3px;
}






input,
select,
textarea {
  background: var(--light);
  padding: 10px 20px;
  border-radius: 3px;
  border: 2px solid transparent;
  width: 100%;
  display: block;
  font-size: 1rem;
}

input::placeholder,
textarea::placeholder {
  color: var(--grey);
  font-style: italic;
}

.form-control {
  margin-bottom: 20px;
}

.form-control.error input,
.form-control.error textarea {
  color: var(--red);
  border-color: var(--red);
}

.flex-controls {
  display: flex;
  align-items: center;
}

.flex-controls > div:first-of-type {
  margin-right: 20px;
}

.flex-controls > div {
  width: 50%;
}

.url-clone {
  color: var(--muted);
}

.form-control.url {
  font-size: .9rem;
}

.form-control.url p {
  margin: 0;
}

.form-control.url .url {
  display: flex;
  align-items: center;
}

.form-control.url i {
  margin-right: 5px;
  font-size: 1.3rem;
  color: var(--blue);
}

p.info-text {
  font-size: .9rem;
  font-style: italic;
  color: var(--muted);
  display: flex;
  align-items: start;
  margin-top: -15px;
}

p.info-text i {
  font-size: .7rem;
  height: 13px;
  width: 13px;
  border-radius: 50%;
  background: var(--blue);
  color: white;
  margin-right: 5px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-style: normal;
  flex-shrink: 0;
  margin-top: 3px;
}

.form-control.quill.error {
  border: 2px solid var(--red);
  border-radius: 3px;
}

p.error-text {
  margin-top: -15px;
  font-size: .9rem;
  color: var(--red);
}





.hidden + .site-main .breadcrumb {
  top: 5px !important;
}




.ql-container,
.ql-toolbar.ql-snow {
  font-family: 'Heebo', Arial, Helvetica, sans-serif;
  font-size: 1rem;
}

.ql-toolbar.ql-snow {
  background: var(--light);
  border: none;
  border-radius: 3px;
}

.ql-toolbar.ql-snow + .ql-container.ql-snow {
  border: none;
  background: var(--light);
  border-top: 1px dashed var(--grey);
  min-height: 200px;
}

.ql-editor.ql-blank::before {
  color: var(--grey);
}







.loading-text::after {
  content: '';
  display: inline-block;
  animation: loading 1.5s infinite ease-in-out;
  width: 15px;
  text-align: left;
  opacity: 1;
  margin-left: 1px;
}

@keyframes loading {
  0% {
    content: '';
  }

  33.3% {
    content: '.';
  }

  66.6% {
    content: '..';
  }

  100% {
    content: '...';
  }
}

button.loading-text,
button.login-submit.loading-text {
  background:#ececec;
  color: #a3a3a3;
  cursor: auto;
}








.create-form {
  max-width: 700px;
  padding: 40px;
  border: 1px solid #eee;
  border-radius: 3px;
}